# printable.h File Reference

`#include "dialog-owner.h"`
`#include "macros.h"`
`#include <gtk/gtkprintoperation.h>`
`#include <gtk/gtkprintcontext.h>`
`#include <gtk/gtkpagesetup.h>`
`#include <gtk/gtkprintsettings.h>`

Go to the source code of this file.

## Namespaces

namespace | gcu

## Classes

class | gcu::Printable

## Enumerations

enum | gcu::PrintScaleType { gcu::GCU_PRINT_SCALE_NONE, gcu::GCU_PRINT_SCALE_FIXED, gcu::GCU_PRINT_SCALE_AUTO }

## Functions

GtkUnit | gcu::gtk_unit_from_string (char const *name)
char const * | gcu::gtk_unit_to_string (GtkUnit unit)

## Detailed Description

Definition in file printable.h.